<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
Arithmetic
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.config.Arithmetic class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Arithmetic";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Arithmetic.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/ArithmeticCallback.html" title="interface in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/Arithmetic.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Arithmetic.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.config</FONT>
<BR>
Class Arithmetic&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.config.Arithmetic&lt;N,A&gt;</B>
</PRE>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.79"><B>Arithmetic&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,A&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>Arithmetic</code> class is actually an enum defining constants for
 arithmetic operations. It has not been implemented as enum to make use of 
 generic types. 
 <p>
 The constants are available as static member types, and all constant values 
 are collected in the <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#VALUES"><CODE>VALUES</CODE></A> array.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#BIGINT">BIGINT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of big integer arithmetic of unbounded size 
 (see <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>,double[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#DOUBLE">DOUBLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of double precision arithmetic with 64bit double values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>,<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#FRACTIONAL">FRACTIONAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of fractional arithmetic using two big integers of 
 unbounded size (see <A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#RAWINT">RAWINT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of raw big integer arithmetic of unbounded size 
 (see <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#VALUES">VALUES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Array containing all constants.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#VARINT">VARINT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of variable size big integer arithmetic of unbounded 
 maximum size (see <A HREF="../../../../ch/javasoft/math/varint/VarInt.html" title="interface in ch.javasoft.math.varint"><CODE>VarInt</CODE></A>).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#ZIPINT">ZIPINT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constant for use of variable size big integer arithmetic of unbounded 
 maximum size (see <A HREF="../../../../ch/javasoft/math/varint/VarInt.html" title="interface in ch.javasoft.math.varint"><CODE>VarInt</CODE></A>).</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;R&gt; R</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#callback(ch.javasoft.polco.config.ArithmeticCallback)">callback</A></B>(<A HREF="../../../../ch/javasoft/polco/config/ArithmeticCallback.html" title="interface in ch.javasoft.polco.config">ArithmeticCallback</A>&lt;R&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Uses the specified argument for a generically typed callback using this
 arithmetic constant as argument to define the generic types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; 
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#createNumeric(java.lang.Class, java.lang.Class, org.dom4j.Element)">createNumeric</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;? extends <A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html" title="interface in ch.javasoft.polco.config">NumericFactory</A>&gt;&nbsp;factoryClass,
                           org.dom4j.Element&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; 
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#createNumeric(java.lang.Class, org.dom4j.Element)">createNumeric</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                           org.dom4j.Element&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; 
<BR>
T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#createNumeric(java.lang.Class, ch.javasoft.polco.config.NumericFactory, org.dom4j.Element)">createNumeric</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                           <A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html" title="interface in ch.javasoft.polco.config">NumericFactory</A>&nbsp;factory,
                           org.dom4j.Element&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for array operations on numeric arrays of the
 number type specified by this arithmetic constant</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getDefaultZero()">getDefaultZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the default zero instance, usually the true zero value for exact
 types, and a positive value close to zero for floating point types.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getLinAlgOperations(ch.javasoft.util.numeric.Zero)">getLinAlgOperations</A></B>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for linear algebra arithmetic using the number
 type specified by this arithmetic constant.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getNumberArrayClass()">getNumberArrayClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The class used to represent an array of numeric values of this kind.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getNumberArrayOperations(ch.javasoft.util.numeric.Zero)">getNumberArrayOperations</A></B>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for array operations on numeric arrays using 
 the number type specified by this arithmetic constant.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getNumberClass()">getNumberClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The class used to represent a single numeric value of this kind.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#getNumberOperators(ch.javasoft.util.numeric.Zero)">getNumberOperators</A></B>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for number operators using the number type 
 specified by this arithmetic constant.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#name()">name</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the name as used in configuration files or as command line 
 argument.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#name()"><CODE>name</CODE></A> of this constant.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DOUBLE"><!-- --></A><H3>
DOUBLE</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>,double[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.84"><B>DOUBLE</B></A></PRE>
<DL>
<DD>Constant for use of double precision arithmetic with 64bit double values.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="FRACTIONAL"><!-- --></A><H3>
FRACTIONAL</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>,<A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.115"><B>FRACTIONAL</B></A></PRE>
<DL>
<DD>Constant for use of fractional arithmetic using two big integers of 
 unbounded size (see <A HREF="../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A>).
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="BIGINT"><!-- --></A><H3>
BIGINT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.148"><B>BIGINT</B></A></PRE>
<DL>
<DD>Constant for use of big integer arithmetic of unbounded size 
 (see <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>). Division operations are not supported.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="RAWINT"><!-- --></A><H3>
RAWINT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.182"><B>RAWINT</B></A></PRE>
<DL>
<DD>Constant for use of raw big integer arithmetic of unbounded size 
 (see <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A>). The big integer values are encoded as raw byte
 values for memory optimization. Division operations are not supported.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="VARINT"><!-- --></A><H3>
VARINT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.217"><B>VARINT</B></A></PRE>
<DL>
<DD>Constant for use of variable size big integer arithmetic of unbounded 
 maximum size (see <A HREF="../../../../ch/javasoft/math/varint/VarInt.html" title="interface in ch.javasoft.math.varint"><CODE>VarInt</CODE></A>). The variable integer values are stored
 as raw byte values for memory optimization. Division operations are not 
 supported.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="ZIPINT"><!-- --></A><H3>
ZIPINT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>&lt;<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.252"><B>ZIPINT</B></A></PRE>
<DL>
<DD>Constant for use of variable size big integer arithmetic of unbounded 
 maximum size (see <A HREF="../../../../ch/javasoft/math/varint/VarInt.html" title="interface in ch.javasoft.math.varint"><CODE>VarInt</CODE></A>). The variable integer values are stored
 as gzipped byte values for memory optimization. Division operations are 
 not supported.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="VALUES"><!-- --></A><H3>
VALUES</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="class in ch.javasoft.polco.config">Arithmetic</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.285"><B>VALUES</B></A></PRE>
<DL>
<DD>Array containing all constants. Corresponds to <code>MyEnum.values()</code>
<P>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="name()"><!-- --></A><H3>
name</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.300"><B>name</B></A>()</PRE>
<DL>
<DD>Returns the name as used in configuration files or as command line 
 argument. This is usually the lower case constant name, for instance 
 <code>"double"</code> for the <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#DOUBLE"><CODE>DOUBLE</CODE></A> constant.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.307"><B>toString</B></A>()</PRE>
<DL>
<DD>Returns the <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#name()"><CODE>name</CODE></A> of this constant.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations(ch.javasoft.util.numeric.Zero)"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
public abstract <A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.321"><B>getLinAlgOperations</B></A>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</PRE>
<DL>
<DD>Returns an implementation for linear algebra arithmetic using the number
 type specified by this arithmetic constant. The zero object is used for
 rounding, and may only be non-zero for floating point arithmetic.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zero</CODE> - the almost-zero value for rounding
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if zero is not the true zero value and
                                                                        the number type not a floating point
                                                                        type</DL>
</DD>
</DL>
<HR>

<A NAME="getArrayOperations()"><!-- --></A><H3>
getArrayOperations</H3>
<PRE>
public abstract <A HREF="../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.326"><B>getArrayOperations</B></A>()</PRE>
<DL>
<DD>Returns an implementation for array operations on numeric arrays of the
 number type specified by this arithmetic constant
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultZero()"><!-- --></A><H3>
getDefaultZero</H3>
<PRE>
public abstract <A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A> <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.332"><B>getDefaultZero</B></A>()</PRE>
<DL>
<DD>Returns the default zero instance, usually the true zero value for exact
 types, and a positive value close to zero for floating point types.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberArrayOperations(ch.javasoft.util.numeric.Zero)"><!-- --></A><H3>
getNumberArrayOperations</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.345"><B>getNumberArrayOperations</B></A>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</PRE>
<DL>
<DD>Returns an implementation for array operations on numeric arrays using 
 the number type specified by this arithmetic constant. The zero object is 
 used for rounding, and may only be non-zero for floating point 
 arithmetic.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zero</CODE> - the almost-zero value for rounding
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if zero is not the true zero value and
                                                                        the number type not a floating point
                                                                        type</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberOperators(ch.javasoft.util.numeric.Zero)"><!-- --></A><H3>
getNumberOperators</H3>
<PRE>
public abstract <A HREF="../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.359"><B>getNumberOperators</B></A>(<A HREF="../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</PRE>
<DL>
<DD>Returns an implementation for number operators using the number type 
 specified by this arithmetic constant. The zero object is used for
 rounding, and may only be non-zero for floating point arithmetic.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zero</CODE> - the almost-zero value for rounding
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if zero is not the true zero value and
                                                                        the number type not a floating point
                                                                        type</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberClass()"><!-- --></A><H3>
getNumberClass</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.367"><B>getNumberClass</B></A>()</PRE>
<DL>
<DD>The class used to represent a single numeric value of this kind. For 
 numbers with primitive type support in Java, the wrapped (object) type
 is returned, for instance, <code><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A>.class</code> for 
 <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#DOUBLE"><CODE>DOUBLE</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberArrayClass()"><!-- --></A><H3>
getNumberArrayClass</H3>
<PRE>
public abstract <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt; <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.374"><B>getNumberArrayClass</B></A>()</PRE>
<DL>
<DD>The class used to represent an array of numeric values of this kind. For 
 numbers with primitive type support in Java, the primitive array class
 is returned, for instance, <code>double[].class</code> for 
 <A HREF="../../../../ch/javasoft/polco/config/Arithmetic.html#DOUBLE"><CODE>DOUBLE</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="callback(ch.javasoft.polco.config.ArithmeticCallback)"><!-- --></A><H3>
callback</H3>
<PRE>
public &lt;R&gt; R <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.384"><B>callback</B></A>(<A HREF="../../../../ch/javasoft/polco/config/ArithmeticCallback.html" title="interface in ch.javasoft.polco.config">ArithmeticCallback</A>&lt;R&gt;&nbsp;callback)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A></PRE>
<DL>
<DD>Uses the specified argument for a generically typed callback using this
 arithmetic constant as argument to define the generic types.
 <p>
 Technically, 
 <A HREF="../../../../ch/javasoft/polco/config/ArithmeticCallback.html#callback(ch.javasoft.polco.config.Arithmetic)"><CODE>callback(this)</CODE></A> 
 is invoked with this arithmetic instance.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Exception.html" title="class or interface in java.lang">Exception</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createNumeric(java.lang.Class, org.dom4j.Element)"><!-- --></A><H3>
createNumeric</H3>
<PRE>
public &lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; T <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.412"><B>createNumeric</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                                                       org.dom4j.Element&nbsp;config)
                          throws <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A>,
                                 <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A>,
                                 <A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></PRE>
<DL>
<DD>Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance. The given <code>config</code> 
 is used to determine the factory for the instance to create, as well as
 for the factory to initialize the created instance.
<P>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>U</CODE> - The untyped class of the expected instance<DD><CODE>T</CODE> - The typed class of the expected instance, should be
                                        same class object as <code>U</code><DT><B>Parameters:</B><DD><CODE>clazz</CODE> - The class argument to specify the desired return type<DD><CODE>config</CODE> - The config used to specify the factory to use, specified 
                                        in a factory attribute. It is also passed to the factory 
                                        to initialize the returned instance
<DT><B>Returns:</B><DD>the new instance, generically typed by this arithmetic instance
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE> - if the factory was not appropriate for
                                                                        the desired return type
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE> - if the factory did not like the 
                                                                        configuration contents
<DD><CODE><A HREF="../../../../ch/javasoft/factory/FactoryNotFoundException.html" title="class in ch.javasoft.factory">FactoryNotFoundException</A></CODE> - if factory class was not found</DL>
</DD>
</DL>
<HR>

<A NAME="createNumeric(java.lang.Class, java.lang.Class, org.dom4j.Element)"><!-- --></A><H3>
createNumeric</H3>
<PRE>
public &lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; T <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.452"><B>createNumeric</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;? extends <A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html" title="interface in ch.javasoft.polco.config">NumericFactory</A>&gt;&nbsp;factoryClass,
                                                       org.dom4j.Element&nbsp;config)
                          throws <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A>,
                                 <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></PRE>
<DL>
<DD>Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance. The given <code>config</code> 
 is used to initialize the instance to create.
<P>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>U</CODE> - The untyped class of the expected instance<DD><CODE>T</CODE> - The typed class of the expected instance, should be
                                        same class object as <code>U</code><DT><B>Parameters:</B><DD><CODE>clazz</CODE> - The class argument to specify the desired return type<DD><CODE>factoryClass</CODE> - The class to use as factory<DD><CODE>config</CODE> - The config passed to the factory to initialize the
                                        returned instance
<DT><B>Returns:</B><DD>the new instance, generically typed by this arithmetic instance
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE> - if the factory was not appropriate for
                                                                        the desired return type
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE> - if the factory did not like the 
                                                                        configuration contents</DL>
</DD>
</DL>
<HR>

<A NAME="createNumeric(java.lang.Class, ch.javasoft.polco.config.NumericFactory, org.dom4j.Element)"><!-- --></A><H3>
createNumeric</H3>
<PRE>
public &lt;U extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>,T extends U&gt; T <A HREF="../../../../src-html/ch/javasoft/polco/config/Arithmetic.html#line.485"><B>createNumeric</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;U&gt;&nbsp;clazz,
                                                       <A HREF="../../../../ch/javasoft/polco/config/NumericFactory.html" title="interface in ch.javasoft.polco.config">NumericFactory</A>&nbsp;factory,
                                                       org.dom4j.Element&nbsp;config)
                          throws <A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A>,
                                 <A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></PRE>
<DL>
<DD>Creates a typed <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><CODE>Numeric</CODE></A> instance of the specified class, using 
 the generic types from this arithmetic instance. The given <code>config</code> 
 is used to initialize the instance to create.
<P>
<DD><DL>
<DT><B>Type Parameters:</B><DD><CODE>U</CODE> - The untyped class of the expected instance<DD><CODE>T</CODE> - The typed class of the expected instance, should be
                                        same class object as <code>U</code><DT><B>Parameters:</B><DD><CODE>clazz</CODE> - The class argument to specify the desired return type<DD><CODE>factory</CODE> - The factory to use<DD><CODE>config</CODE> - The config passed to the factory to initialize the
                                        returned instance
<DT><B>Returns:</B><DD>the new instance, generically typed by this arithmetic instance
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../ch/javasoft/factory/IllegalFactoryException.html" title="class in ch.javasoft.factory">IllegalFactoryException</A></CODE> - if the factory was not appropriate for
                                                                        the desired return type
<DD><CODE><A HREF="../../../../ch/javasoft/factory/ConfigException.html" title="class in ch.javasoft.factory">ConfigException</A></CODE> - if the factory did not like the 
                                                                        configuration contents</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Arithmetic.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/config/ArithmeticCallback.html" title="interface in ch.javasoft.polco.config"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/config/Arithmetic.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Arithmetic.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
